tigase.server.ext.handlers

## Class UnknownXMLNSStreamOpenHandler

- java.lang.Object
- - tigase.server.ext.handlers.UnknownXMLNSStreamOpenHandler

- All Implemented Interfaces:
    StreamOpenHandler

      public class UnknownXMLNSStreamOpenHandler
      extends Object
      implements StreamOpenHandler

  Created: Oct 2, 2009 5:18:44 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from interface tigase.server.ext.StreamOpenHandler

      `XMLNS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownXMLNSStreamOpenHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getXMLNSs()` Method description
    `String` | `serviceStarted(ComponentIOService s)` Method description
    `String` | `streamOpened(ComponentIOService serv, Map<String,String> attribs, ComponentProtocolHandler handler)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownXMLNSStreamOpenHandler

          public UnknownXMLNSStreamOpenHandler()

  - ### Method Detail

    - #### getXMLNSs

          public String[] getXMLNSs()

      Method description
      Specified by:
        `getXMLNSs` in interface `StreamOpenHandler`

    - #### serviceStarted

          public String serviceStarted(ComponentIOService s)

      Method description
      Specified by:
        `serviceStarted` in interface `StreamOpenHandler`
      Parameters:
        `s` -

    - #### streamOpened

          public String streamOpened(ComponentIOService serv,
                            Map<String,String> attribs,
                            ComponentProtocolHandler handler)

      Method description
      Specified by:
        `streamOpened` in interface `StreamOpenHandler`
      Parameters:
        `serv` -
        `attribs` -
        `handler` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.